Package uk.ac.starlink.topcat

# Class SkyDalReporter

java.lang.Object
uk.ac.starlink.topcat.SkyDalReporter

All Implemented Interfaces:
  `StiltsReporter`

public class SkyDalReporter extends Object implements StiltsReporter
StiltsReporter implementation for cone-search-like windows.

Since:
  22 Oct 2024
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyDalReporter(uk.ac.starlink.vo.SkyDalTableLoadDialog dialog, Supplier<uk.ac.starlink.ttools.cone.ConeServiceType> servTypeSupplier, DoubleSupplier radiusSupplier, Function<uk.ac.starlink.ttools.task.TableCone,uk.ac.starlink.ttools.task.Setting[]> extraSettingsFunc)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addStiltsListener(ActionListener listener)`
Adds a listener that will be messaged if the current stilts command might have changed.
`StiltsAction`
`createStiltsAction()`
Creates a StiltsAction associated with this reporter.
`uk.ac.starlink.ttools.task.StiltsCommand`
`createStiltsCommand(TopcatTableNamer tnamer)`
Returns a stilts command corresponding to current state.
`ActionForwarder`
`getActionForwarder()`
Returns a forwarder for listening to dialogue updates when stilts state may have changed.
`void`
`removeStiltsListener(ActionListener listener)`
Removes a listener that may have been previously added.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.topcat.StiltsReporter

`pset`

## Constructor Details

### SkyDalReporter

public SkyDalReporter(uk.ac.starlink.vo.SkyDalTableLoadDialog dialog, Supplier<uk.ac.starlink.ttools.cone.ConeServiceType> servTypeSupplier, DoubleSupplier radiusSupplier, Function<uk.ac.starlink.ttools.task.TableCone,uk.ac.starlink.ttools.task.Setting[]> extraSettingsFunc)
Constructor.

Parameters:
  `dialog` - cone-like load dialogue on behalf of which this will be reporting
  `servTypeSupplier` - provides positional service identifier
  `radiusSupplier` - provides search radius
  `extraSettingsFunc` - provides service-specific settings

## Method Details

### addStiltsListener

public void addStiltsListener(ActionListener listener)
Description copied from interface: `StiltsReporter`
Adds a listener that will be messaged if the current stilts command might have changed.

Specified by:
  `addStiltsListener` in interface `StiltsReporter`
Parameters:
  `listener` - listener to add

### removeStiltsListener

public void removeStiltsListener(ActionListener listener)
Description copied from interface: `StiltsReporter`
Removes a listener that may have been previously added.

Specified by:
  `removeStiltsListener` in interface `StiltsReporter`
Parameters:
  `listener` - listener to remove

### createStiltsCommand

public uk.ac.starlink.ttools.task.StiltsCommand createStiltsCommand(TopcatTableNamer tnamer)
Description copied from interface: `StiltsReporter`
Returns a stilts command corresponding to current state.

Specified by:
  `createStiltsCommand` in interface `StiltsReporter`
Parameters:
  `tnamer` - table namer
Returns:
  command, or null if current state does not correspond to one

### getActionForwarder

public ActionForwarder getActionForwarder()
Returns a forwarder for listening to dialogue updates when stilts state may have changed.

Returns:
  action forwarder

### createStiltsAction

public StiltsAction createStiltsAction()
Creates a StiltsAction associated with this reporter.

Returns:
  new action